Skip to main content
GET
/
open-api
/
catalog
/
product
Listar produtos
curl --request GET \
  --url https://api.mginex.com/open-api/catalog/product \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "products": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "DEFAULT",
        "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "info": {
          "title": "<string>",
          "description": "<string>",
          "images": [
            "<string>"
          ],
          "slug": "<string>"
        },
        "pricing": {
          "price": 123,
          "comparation": 123
        },
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "lastPage": 123
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Query Parameters

page
integer
default:1

Número da página

limit
integer
default:10

Quantidade de itens por página

Required range: x <= 100
categoryId
string<uuid>

Filtrar por categoria

title
string

Buscar por título

Response

200 - application/json

Lista de produtos

success
boolean
data
object